Open CASCADE Technology: Poly_MakeLoops2D Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions | Protected Member Functions
Poly_MakeLoops2D Class Reference

`#include <Poly_MakeLoops.hxx>`

Inheritance diagram for Poly_MakeLoops2D:
[legend]

## Data Structures
class | Helper
| The abstract helper class. More...

## Public Member Functions
| Poly_MakeLoops2D (const Standard_Boolean theLeftWay, const Helper *theHelper, const Handle< NCollection_BaseAllocator > &theAlloc)
| Constructor. If helper is NULL then the algorithm will probably return a wrong result. More...
Public Member Functions inherited from Poly_MakeLoops
| Poly_MakeLoops (const Helper *theHelper, const Handle< NCollection_BaseAllocator > &theAlloc=0L)
| Constructor. If helper is NULL then the algorithm will probably return a wrong result. More...
void | Reset (const Helper *theHelper, const Handle< NCollection_BaseAllocator > &theAlloc=0L)
| It is to reset the algorithm to the initial state. More...
void | AddLink (const Link &theLink)
| Adds a link to the set. theOrient defines which orientations of the link are allowed. More...
void | ReplaceLink (const Link &theLink, const Link &theNewLink)
| Replace one link with another (e.g. to change order of nodes) More...
LinkFlag | SetLinkOrientation (const Link &theLink, const LinkFlag theOrient)
| Set a new value of orientation of a link already added earlier. It can be used with LF_None to exclude the link from consideration. Returns the old value of orienation. More...
Link | FindLink (const Link &theLink) const
| Find the link stored in algo by value. More...
Standard_Integer | Perform ()
| Does the work. Returns the collection of result codes. More...
Standard_Integer | GetNbLoops () const
| Returns the number of loops in the result. More...
const Loop & | GetLoop (Standard_Integer theIndex) const
| Returns the loop of the given index. More...
Standard_Integer | GetNbHanging () const
| Returns the number of detected hanging chains. More...
void | GetHangingLinks (ListOfLink &theLinks) const
| Fills in the list of hanging links. More...

## Protected Member Functions
virtual Standard_Integer | chooseLeftWay (const Standard_Integer theNode, const Standard_Integer theSegIndex, const NCollection_List< Standard_Integer > &theLstIndS) const
const Helper * | getHelper () const
Protected Member Functions inherited from Poly_MakeLoops
const Helper * | getHelper () const
Link | getLink (const Standard_Integer theSegIndex) const

## Additional Inherited Members
Public Types inherited from Poly_MakeLoops
enum | LinkFlag { LF_None = 0, LF_Fwd = 1, LF_Rev = 2, LF_Both = 3, LF_Reversed = 4 }
| Orientation flags that can be attached to a link. More...
enum | ResultCode { RC_LoopsDone = 1, RC_HangingLinks = 2, RC_Failure = 4 }
typedef NCollection_List< Link > | ListOfLink
typedef ListOfLink | Loop

## Constructor & Destructor Documentation

Poly_MakeLoops2D::Poly_MakeLoops2D | ( | const Standard_Boolean | theLeftWay,
|  | const Helper * | theHelper,
|  | const Handle< NCollection_BaseAllocator > & | theAlloc
| ) |  |

Constructor. If helper is NULL then the algorithm will probably return a wrong result.

## Member Function Documentation

virtual Standard_Integer Poly_MakeLoops2D::chooseLeftWay | ( | const Standard_Integer | theNode,
|  | const Standard_Integer | theSegIndex,
|  | const NCollection_List< Standard_Integer > & | theLstIndS
| ) |  | const
| protectedvirtual

Implements Poly_MakeLoops.

const Helper* Poly_MakeLoops2D::getHelper | ( |  | ) | const
| inlineprotected

The documentation for this class was generated from the following file:

- Poly_MakeLoops.hxx